Page MenuHomePhabricator

Flow is recording links to special pages in `pagelinks` table
Closed, ResolvedPublic

Description

MariaDB [mediawikiwiki_p]> select * from pagelinks where pl_namespace=-1;
+---------+--------------+----------------------------------+-------------------+

pl_frompl_namespacepl_titlepl_from_namespace

+---------+--------------+----------------------------------+-------------------+

125328-1Contributions/Christian751
258088-1ExtensionDistributor/AbuseFilter2600
261786-1Flow/post/rrnr4yfzm3fh2qiv1
261786-1Listusers/sysop1
268510-1MyLanguage/foo2600
273026-1Mylanguage/How_to_contribute2600
217204-1Notifications1
125328-1Preferences1
217204-1Preferences1
264605-1Preferences2600
294896-1Preferences2600
305218-1Preferences2600
217204-1RecentChanges1
261786-1WhatLinksHere/Template:Test12341
261786-1WhatLinksHere/Template:Test123451
290185-1Whatlinkshere/S2u4brvxkmbvgks02600

+---------+--------------+----------------------------------+-------------------+
16 rows in set (0.27 sec)


Version: unspecified
Severity: normal

Details

Reference
bz72225
Related Gerrit Patches:
mediawiki/extensions/Flow : masterStop recording special pages into pagelinks

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:48 AM
bzimport set Reference to bz72225.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Oct 19 2014, 4:32 AM

Change 179058 had a related patch set uploaded (by EBernhardson):
Stop recording special pages into pagelinks

https://gerrit.wikimedia.org/r/179058

Patch-For-Review

EBernhardson triaged this task as Medium priority.
EBernhardson set Security to None.

Change 179058 merged by jenkins-bot:
Stop recording special pages into pagelinks

https://gerrit.wikimedia.org/r/179058

Will the patch automatically remove existing pagelinks entries?

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM
matthiasmullie closed this task as Resolved.Jan 13 2015, 3:38 PM
matthiasmullie reopened this task as Open.
Quiddity closed this task as Resolved.Jan 28 2015, 7:41 PM